ATRTC(4)

NAME
atrtc - AT Real-Time Clock (RTC) driver

SYNOPSIS
This driver is a mandatory part of i386/amd64 kernels.

The following tunable is settable from the loader(8):

hint.atrtc.X.clock
controls event timers functionality support. Setting to 0, disables it. Default value is 1.

DESCRIPTION
This driver uses RTC hardware to supply kernel with time-of-day clock with 1 second resolution and one event timer. This hardware uses base frequency of 32768Hz for advancing time-of-day clock and generating periodic interrupts. Interrupts could be generated with fixed number of frequencies, from 2Hz to 8192Hz, obtained by dividing base frequency by one of supported power-of-2 divisors.

Event timer provided by the driver is irrelevant to CPU power states.

SEE ALSO
apic(4), attimer(4), eventtimers(4), hpet(4)